[Weird] Links awakening was running good on CFW now it needs online

Discussion in 'Switch - Games & Content' started by cybercuate, Oct 2, 2019.

  1. cybercuate
    OP

    cybercuate Advanced Member

    Newcomer
    2
    Jan 20, 2015
    I was playing since release date and after updating to 9.0.1 and run atmosphere, I launch the game and it says "checking if the software can be played" and as it is not connected to internet I can not play it until I do it. Well, I did, and the error says "You can not use this software because you didn't buy it... blah...". Do I reinstall it with goldleaf again? Is this normal? I checked and I can play tetris99 and other online normal... what is happening?
     
  2. hippy dave

    hippy dave BBMB

    Member
    15
    Apr 30, 2012
    United Kingdom
    You need to update your sigpatches. If you're booting atmosphere using fusee-primary, then use the sweet patches.
     
    switchjustswitch likes this.
  3. cybercuate
    OP

    cybercuate Advanced Member

    Newcomer
    2
    Jan 20, 2015
    Nope, is not working, I also tried with the latest kosmos sigpatches... and nothing.
     
  4. gizmomelb

    gizmomelb GBAtemp Advanced Fan

    Member
    7
    Jul 13, 2006
    Australia
    it's a pity to see that atmosphere also has it's fair share of bugs and issues.
     
  5. billapong
    This message by billapong has been removed from public view by Quantumcat, Oct 3, 2019, Reason: Offtopic.
    Oct 2, 2019
  6. 8BitWonder

    8BitWonder Small Homebrew Dev

    Member
    11
    Jan 23, 2016
    United States
    47 4F 54 20 45 45 4D
    This is an issue with sigpatches, not an issue with Atmosphere.
     
    Hayato213 likes this.
  7. billapong

    billapong GBAtemp Regular

    Member
    3
    Sep 21, 2019
    United States
    It's an issue that happens due to the way Atmosphere is designed and it just so happens that sig patches are involved. Don't try to cherry pick based on your bias. Other CFW function differently with no need to spend hours configuring shit. Anyone can play word games.
     
    Last edited by billapong, Oct 2, 2019
    switchjustswitch and Bladexdsl like this.
  8. 8BitWonder

    8BitWonder Small Homebrew Dev

    Member
    11
    Jan 23, 2016
    United States
    47 4F 54 20 45 45 4D
    No, it isn't.

    I'm running the latest sigpatches with Atmo-v0.9.4 on 9.0.1 and not experiencing the issue OP is.
    Rather than baselessly claiming shit, maybe test it next time.
     
    Last edited by 8BitWonder, Oct 2, 2019
    switchjustswitch and felix.200 like this.
  9. godreborn

    godreborn GBAtemp Guru

    Member
    12
    Oct 10, 2009
    United States
    I know some updates can cause this to happen. I think mortal kombat 1.03 has this issue as did bloodstained. however, there hasn't been a link's awakening update. I'm playing my switch right now, so I thought I'd check for you. it still says 1.0.0 for me. I tried forcing an update download, and it said I was on the highest version, so I guess it's not that.

    — Posts automatically merged - Please don't double post! —

    btw, I'm using a legit system, so no worries about having done that. ;)
     
  10. NemesisPrime

    NemesisPrime Newbie

    Newcomer
    1
    Oct 1, 2019
    India
    Boot to Hekate and select option - 'fusee gelee' in payloads. I had a similar issue that was fixed in this manner
     
  11. Bladexdsl
    This message by Bladexdsl has been removed from public view by x65943, Oct 3, 2019, Reason: Off topic.
    Oct 2, 2019
  12. cybercuate
    OP

    cybercuate Advanced Member

    Newcomer
    2
    Jan 20, 2015
    I have Fusee-Primary and that didnt work
    Green Joy-Con D-Pad Shells for Nintendo Switch
     
    Last edited by cybercuate, Oct 2, 2019
  13. chrisrlink

    chrisrlink Intel Pentium III Hamster inside

    Member
    9
    Aug 27, 2009
    United States
    inside your crappy old PC
    it asked me to update from 8.1.0 so idk
     
  14. Unleanone999

    Unleanone999 GBAtemp Advanced Fan

    Member
    6
    May 15, 2018
    Togo
    You probably need to reinstall it with goldleaf. It looks like you've linked the game to your account and if you havent bought it then you will get that error. Also you might get easily banned for that.
     
  15. cybercuate
    OP

    cybercuate Advanced Member

    Newcomer
    2
    Jan 20, 2015
    None of them. Just playing and then updated in OFW to 9.0.1 then regular boot to atmosphere via tegrarcm as always. Never heard of this problem before and also is so strange. I'll install it again to see if it works. How can I backup the save data to uninstall it?
     
  16. chrisrlink

    chrisrlink Intel Pentium III Hamster inside

    Member
    9
    Aug 27, 2009
    United States
    inside your crappy old PC
    i tried gold leaf gave an invalid nca sig lithium worked on installing it though but i have the sys update issue
     
  17. Unleanone999

    Unleanone999 GBAtemp Advanced Fan

    Member
    6
    May 15, 2018
    Togo
    Savedata wont disappear even if you uninstall or reinstall the game since it's stored on the switch not the sd card. But if you want to have a back up of your saves then use checkpoint or edizon.
     
  18. cybercuate
    OP

    cybercuate Advanced Member

    Newcomer
    2
    Jan 20, 2015
    Guys...

    From Goldleaf

    0.7.2 - Quick bugfix
    [​IMG] XorTroll released this 13 days ago · 3 commits to master since this release

    Changelog
    • Installs
      • Fixes a (stupid) bug were ticket installs would fail, thus contents would be unlaunchable with "checking if the content can be played" nags
    Oh........................................................................ Im updating and installing again right now
     
  19. 8BitWonder

    8BitWonder Small Homebrew Dev

    Member
    11
    Jan 23, 2016
    United States
    47 4F 54 20 45 45 4D
    May want to use v0.7.3 over v0.7.2, it sounds like it fixed 9.0.1 support.
    https://github.com/XorTroll/Goldleaf/releases/tag/0.7.3
     
  20. cybercuate
    OP

    cybercuate Advanced Member

    Newcomer
    2
    Jan 20, 2015
    Yup, im using 0.7.3 AAAAAAAAAAAAnd...................... is fixed. Ty guys

    Summary:
    - Error
    - Updated Goldleaf to 0.7.3
    - Uninstalled the NSP
    - Installed the NSP
    - Fixed, enjoy.
     
  21. chrisrlink

    chrisrlink Intel Pentium III Hamster inside

    Member
    9
    Aug 27, 2009
    United States
    inside your crappy old PC
    used an older tinfoil+fluffy it worked
     
    switchjustswitch and x65943 like this.
  22. xstre pwnsx

    xstre pwnsx GBAtemp Regular

    Member
    2
    Nov 16, 2008
    United States
    Interesting that this works.
     
Quick Reply
Draft saved Draft deleted
Loading...